import React from 'react';
import { connect } from 'umi';
import CommonList from '../../routes/commonList/commonList'; /* 公共列表 */
import CommonClassify from '../commonClassify/commonClassify'; /* 公共分类 */
// import CustomerInfo from '../basicInfoSetting/customerInfo/customerInfo'; /* 客户信息 */
// import Materiel from '../basicInfoSetting/materiel/materiel'; /* 物料信息 */
// import Employee from '../basicInfoSetting/employee/employee'; /* 职员信息 */
// import PrintInfo from '../basicInfoSetting/printInfo/printInfo'; /* 印件信息 */
// import SystemSetting from '../basicInfoSetting/systemSetting/systemSetting'; /* 印件信息 */
// import JurAllot from '../basicInfoSetting/jurisdictionAllot/jurisdictionAllot'; /* 权限分配 */
// import SupplyInfo from '../basicInfoSetting/supplyInfo/supplyInfo'; /* 权限分配 */
// import TeamInfo from '../basicInfoSetting/teamInfo/teamInfo'; /* 班组信息 */
// import CommonStyle from '../basicInfoSetting/commonStyle/commonStyle'; /* 常用规格 */
// import PaymentInfo from '../basicInfoSetting/paymentInfo/paymentInfo'; /* 付款条件 */
// import SalesOrder from '../salesManage/salesOrder/salesOrder'; /* 销售订单 */
// import SalesOrderSticker from '../salesManage/salesOrderSticker/salesOrderSticker'; /* 销售订单(不干胶) */
// import SalesCheckMaster from '../salesManage/salesCheckMaster/salesCheckMaster'; /* 设定单据->销售对账 */
// import DeliverNotify from '../salesManage/deliverNotify/deliverNotify'; /* 送货通知单 */
// import DeliverGoods from '../salesManage/deliverGoods/deliverGoods'; /* 送货单 */
// import RejectGoods from '../salesManage/rejectGoods/rejectGoods'; /* 退货单 */
// import SalesCheck from '../salesManage/salesCheck/salesCheck'; /* 销售对账 */
// import SalesInvoice from '../salesManage/salesInvoice/salesInvoice'; /* 销售发票 */
// import SendCar from '../salesManage/sendCar/sendCar'; /* 派车单 */
// import QualityAbnormal from '../salesManage/qualityAbnormal/qualityAbnormal'; /* 销售品质异常 */

function SecondPpopupPane({ app }) {
  const pane = app.secondppopupPane;
  let content = '';
  if (pane !== undefined && Object.keys(pane).length > 0) {
    if (pane.route === '/commonList') {
      content = <CommonList />;
    } else if (pane.route === '/commonClassify') {
      content = <CommonClassify />;
    }
    /* else if (pane.route === '/elecustomer') {
      content = <CustomerInfo />;
    } else if (pane.route === '/employee') {
      content = <Employee />;
    } else if (pane.route === '/elematerials') {
      content = <Materiel />;
    } else if (pane.route === '/printInfo') {
      content = <PrintInfo />;
    } else if (pane.route === '/systemSetting') {
      content = <SystemSetting />;
    } else if (pane.route === '/jurisdictionAllot') {
      content = <JurAllot />;
    } else if (pane.route === '/elesupply') {
      content = <SupplyInfo />;
    } else if (pane.route === '/eleteam') {
      content = <TeamInfo />;
    } else if (pane.route === '/salsalesordermaster') {
      content = <SalesOrder />;
    } else if (pane.route === '/salesOrderSticker') {
      content = <SalesOrderSticker />;
    } else if (pane.route === '/salescheckingmaster') {
      content = <SalesCheckMaster />;
    } else if (pane.route === '/deliverNotify') {
      content = <DeliverNotify />;
    } else if (pane.route === '/deliverGoods') {
      content = <DeliverGoods />;
    } else if (pane.route === '/rejectGoods') {
      content = <RejectGoods />;
    } else if (pane.route === '/salesCheck') {
      content = <SalesCheck />;
    } else if (pane.route === '/salesInvoice') {
      content = <SalesInvoice />;
    } else if (pane.route === '/sendCar') {
      content = <SendCar />;
    } else if (pane.route === '/qualityAbnormal') {
      content = <QualityAbnormal />;
    } else if (pane.route === '/siscommonstyle') {
      content = <CommonStyle />;
    } else if (pane.route === '/sispayment') {
      content = <PaymentInfo />;
    } */
  }

  return (
    <div >
      {content}
    </div>
  );
}

export default connect(({ app }) => ({ app }))(SecondPpopupPane);
